package me.hammerle.snuviengine;

import me.hammerle.snuviengine.api.Engine;
import me.hammerle.snuviengine.api.IGame;
import me.hammerle.snuviengine.api.KeyBinding;
import me.hammerle.snuviengine.api.KeyHandler;
import me.hammerle.snuviengine.api.Renderer;
import static org.lwjgl.glfw.GLFW.*;

public class Game implements IGame
{
    public final static KeyBinding UP = KeyHandler.register(GLFW_KEY_UP);
    public final static KeyBinding DOWN = KeyHandler.register(GLFW_KEY_DOWN);
    public final static KeyBinding LEFT = KeyHandler.register(GLFW_KEY_LEFT);
    public final static KeyBinding RIGHT = KeyHandler.register(GLFW_KEY_RIGHT);
    
    public Game()
    {
    }

    @Override
    public void tick()
    {        
       
    }
    
    @Override
    public void renderTick(Renderer r, float lag)
    { 
        float y = 30;
        r.setColorEnabled(true);
        r.setTextureEnabled(true);
        y = r.getFontRenderer().drawString(30, y, true, String.format("FPS %.1f", Engine.getFramesPerSecond()));
    }

    @Override
    public void onStop()
    {
    }
}
